Subject: Re: [regext] 2nd WG LAST CALL: draft-ietf-regext-dnrd-objects-mapping-01

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 2 Dec 2019 14:11:28 +0000

I’ve completed my document shepherd review of draft-ietf-regext-dnrd-objects-mapping. Comments:

The idnits tool notes that “There are 9 instances of lines with non-RFC2606-compliant FQDNs in the document”. The examples in question use names of the form "ns*.domain*.test". The "test" TLD is described as reserved in Section 2 of RFC 2606, but it's described as being reserved for use in testing. The "example" TLD is described as reserved for use to describe examples. It may be better to use “example”.

The Introduction could be enhanced by explaining the need for data escrow and why or how this draft addresses whatever problem it’s intended to solve. As-is, it jumps into an explanation of what the draft is without anything to help the reader understand why it’s needed.

“NNDN”: this looks like an acronym, but I don’t see how “NNDN's not domain name” explains what it is. Could you make this clearer? This might also impact Section 5.6.

Section 2 describes two models, but there’s nothing included to explain why two models exist or why it might make sense to use one model or the other. It may be helpful to provide guidance here, especially since Section 4.6 gets into details of the CSV model and there’s no mention of the XML model. Why is it necessary to provide this text for the CSV model without similar text for the XML model?

Section 4.5: “IP addresses syntax MUST conform to the text representation of either of, Internet Protocol [RFC0791]”. That “of,” should be removed and “Version 4” should be added in front of the reference to RFC 791 -> “IP addresses syntax MUST conform to the text representation of either Internet Protocol Version 4 [RFC0791]”.

Section 4.6 uses XML to describe something called a “CSV file definitions for a Sample object”. I don’t understand what this is for. Again, text in Section 2 might help make this clear.

draft-arias-noguchi-registry-data-escrow is reference using a URI. That should be changed to either a normative or informative reference as appropriate.

The IANA Considerations section requests registration of multiple XML namespaces and XML schemas. For example, urn:ietf:params:xml:ns:rdeCsv-1.0 and urn:ietf:params:xml:schema:rdeCsv-1.0. Recent convention has been to include “epp” in the URIS for EPP-associated namespaces and schemas, e.g. urn:ietf:params:xml:ns:epp:<identifier>. That convention should be followed here, making the requested values urn:ietf:params:xml:ns:epp:rdeCsv-1.0 and urn:ietf:params:xml:schema:epp:rdeCsv-1.0.

I haven’t (yet) tried to verify the examples and schemas by running them through an XML parser since doing so from scratch would take a considerable amount of time. My first thought was to ask Mr. Gould if he could share the results of any automated testing he’s done so I could review it.

Scott

From: regext <[email-masked]> On Behalf Of Antoin Verschuren
Sent: Friday, November 8, 2019 9:29 AM
To: regext <[email-masked]>
Subject: [EXTERNAL] Re: [regext] 2nd WG LAST CALL: draft-ietf-regext-dnrd-objects-mapping-01

Folks,

We did not receive any response to this second WGLC.

This means we cannot submit this document for publication.

We will extend this second WGLC with 2 weeks, ending November 22nd.

Please respond with +1 if you want this document published gents!

Jim and Antoin

- --
Antoin Verschuren

Tweevoren 6, 5672 SB Nuenen, NL
M: +31 6 37682392

   Op 3 nov. 2019, om 18:47 heeft Antoin Verschuren <[email-masked]<mailto:[email-masked]>> het volgende geschreven:

   Reminder.

   We need support for this 2nd WGLC too folks.

   So can the respondents of the first WGLC confirm nothing essential has changed?

   - --
   Antoin Verschuren

   Tweevoren 6, 5672 SB Nuenen, NL
   M: +31 6 37682392

      Op 26 okt. 2019, om 12:19 heeft Antoin Verschuren <[email-masked]<mailto:[email-masked]>> het volgende geschreven:

      During WGLC, the authors of draft-ietf-regext-dnrd-objects-mapping found interoperability issues and had to produce a new version of the document. The authors think the changes are not substantive, but there are enough changes to justify a 2nd WGLC.

      You can find the document here:
      https://datatracker.ietf.org/doc/draft-ietf-regext-dnrd-objects-mapping/

      A diff from the previous version is available at:
      https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-dnrd-objects-mapping-02

      This 2nd WG LAST CALL will end in two weeks at close of business, Friday, 8 November 2019.

      Please review these documents and indicate your support (a simple “+1” is sufficient) or concerns with the publication of this document by replying to this message on the list.

      Regards,

      Jim and Antoin

      - --
      Antoin Verschuren

      Tweevoren 6, 5672 SB Nuenen, NL
      M: +31 6 37682392

      _______________________________________________
      regext mailing list
      [email-masked]
      https://www.ietf.org/mailman/listinfo/regext

   _______________________________________________
   regext mailing list
   [email-masked]<mailto:[email-masked]>
   https://www.ietf.org/mailman/listinfo/regext